#ifdef _RCG_VALUES_
/* RatRXIVersion - what version RXI are we */
char *RatRXIVersion[] = {
    "July 8, 1992",
    "!Machine.Release.X_Interface.Release10_10_0.",
    "XSun4 80x40",
0 };
#endif /* _RCG_VALUES_ */

/* defGeometry - default window geometry */
#define defGeometry "80x40"

/* defXColumns - default window width */
#define defXColumns 80

/* defYLines - default window length */
#define defYLines 40

/* defRV - default RecognitionValue - defines the value
 * to be used ((defRV<<3)+2) in the what-are-you
 * terminal-recognition sequence.  Use 0 for completely
 * normal VT100 (VT102 actually) behavior.
 *   2 - Sun; keyboard model 4; XSun4; X_Sun_X11R5_Sparc
 *   4 - DECwindows; VAXstation (VMS), US keyboard; XDecUS; X_Vms5_5_Ultrixconnection13a
 *   4 - DECwindows; VAXstation (VMS), US keyboard; XDecUS; X_Vms5_5_Wollongong502
 *   5 - NCD; X Terminal; VMS 5.5; XNCD; X_Vms5_5_Wollongong502
 *   5 - NCD; X Terminal; HP-UX 8.0; XNCD; X_Hpux8_0
 *   5 - NCD; X Terminal; Sun X11R5; XNCD; X_Sun_X11R5_Sparc
 *   5 - NCD; X Terminal; IBM AIX 3.1; XNCD; X_Aix3_1
 *   5 - NCD; X Terminal; Sun X/NeWS; XNCD; X_Xnews3_0_Sparc
 *   5 - NCD; X Terminal; Ultrix 4.1; XNCD; X_Ultrix4_1_Ds
 *   5 - NCD; X Terminal; VMS 5.5; XNCD; X_Vms5_5_Ultrixconnection13a
 *   5 - NCD; X Terminal; Ultrix 4.1; XNCD; X_Ultrix4_1_Ds
 *   7 - Sun X/NeWS 3.0; keyboard model 4; XNews4; X_Xnews3_0_Sparc
 *   8 - HP; keyboard model 46021A; XHp46021a; X_Hpux8_0
 *   9 - IBM; R/6000, US keyboard; XR6us; X_Aix3_1
 *   11 - DECwindows; VAXstation (Ultrix), US keyboard; XUltUS; X_Ultrix4_1_Vs
 *   11 - DECwindows; DECstation (Ultrix), US keyboard; XUltUS; X_Ultrix4_1_Ds
 *   13 - Apple; keyboard ??; model ??; XApUs; X_Aux4_0
 *   14 - Sun; keyboard model 101A; XSun101; X_Sun_X11R5_Sparc
 *   15 - Sun X/NeWS 3.0; keyboard model 101AS; XNews101; X_Xnews3_0_Sparc
 */
#define defRV "xsun4"

/* Our target system is... */
#define RatXSun4    1
#define RatXApUs    0
#define RatXDecUS    0
#define RatXHp46021a    0
#define RatXNCD    0
#define RatXNews101    0
#define RatXNews4    0
#define RatXR6us    0
#define RatXSun101    0
#define RatXUltUS    0

#ifdef _RCG_VALUES_
static struct _Rcg_Values {
    char  *Name;
    int    Code;
} Rcg_Values [] = {
  { "vt100", 0 },
  { "xrtus", 3 },
  { "xsun4", 2 },
  { "xdecus", 4 },
  { "xncd", 5 },
  { "xnews4", 7 },
  { "xhp46021a", 8 },
  { "xr6us", 9 },
  { "xultus", 11 },
  { "xapus", 13 },
  { "xsun101", 14 },
  { "xnews101", 15 },
  { NULL, 0 }
};
#endif /* _RCG_VALUES_ */

#ifdef _RCG_MENU_

static char *rcgtext[] = {
        "VT100",
        "XApUs",
        "XDecUS",
        "XHp46021a",
        "XNCD",
        "XNews101",
        "XNews4",
        "XR6us",
        "XRtus",
        "XSun101",
        "XSun4",
        "XUltUS",
        0,
};

static int rcgcode[] = {
        0, /* VT100 */
        13, /* XApUs*/
        4, /* XDecUS*/
        8, /* XHp46021a*/
        5, /* XNCD*/
        15, /* XNews101*/
        7, /* XNews4*/
        9, /* XR6us*/
        3, /* XRtus */
        14, /* XSun101*/
        2, /* XSun4*/
        11, /* XUltUS*/
};
#endif /* _RCG_MENU_ */

